Bug 59881 - french/aster: making Code_Aster 7.2 fetchable again + chasing HDF5 upgrade.
Summary: french/aster: making Code_Aster 7.2 fetchable again + chasing HDF5 upgrade.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Oliver Lehmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-12-01 23:20 UTC by Thierry Thomas
Modified: 2003-12-08 02:07 UTC (History)
0 users

See Also:


Attachments
aster.diff (1.90 KB, patch)
2003-12-01 23:20 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas 2003-12-01 23:20:20 UTC
	- Code_Aster did't run cleanly with hdf5-1.6.1
		=> HDF5_DISABLE_VERSION_CHECK must be defined in run_aster;
	- 7.2 tarball has been rerolled.

	Remark: no PORTREVISION, since 7.2 is not yet committed.

Fix: Pre-requisite: PR ports/59312 must be committed.

	Then please apply the following patch:
How-To-Repeat: 	- portupgrade hdf5;
	- run Aster with a study (e.g. forma04 in /usr/local/aster/STA7.2/etude)
	=> it will abort with the following message:
Warning! The HDF5 header files included by this application do not match the
version used by the HDF5 library to which this application is linked. Data
corruption or segmentation faults may occur if the application continues.
'HDF5_DISABLE_VERSION_CHECK' environment variable set, application will
continue.
Headers are 1.4.5, library is 1.6.1
Comment 1 Oliver Lehmann freebsd_committer 2003-12-07 16:30:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->oliver

I'll handle that
Comment 2 Oliver Lehmann freebsd_committer 2003-12-08 02:07:37 UTC
State Changed
From-To: open->closed

Committed, thanks